跳转到主要内容
POST
/
image-to-image
Image To Image
curl --request POST \
  --url https://dream-gateway.livepeer.cloud/image-to-image \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: multipart/form-data' \
  --form 'prompt=<string>' \
  --form image='@example-file' \
  --form model_id= \
  --form loras= \
  --form strength=0.8 \
  --form guidance_scale=7.5 \
  --form image_guidance_scale=1.5 \
  --form negative_prompt= \
  --form safety_check=true \
  --form seed=123 \
  --form num_inference_steps=100 \
  --form num_images_per_prompt=1
{
  "images": [
    {
      "url": "<string>",
      "seed": 123,
      "nsfw": true
    }
  ]
}

授权

Authorization
string
header
必填

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

请求体

multipart/form-data
prompt
string
必填

Text prompt(s) to guide image generation.

image
file
必填

Uploaded image to modify with the pipeline.

model_id
string
默认值:""

Hugging Face model ID used for image generation.

loras
string
默认值:""

A LoRA (Low-Rank Adaptation) model and its corresponding weight for image generation. Example: { "latent-consistency/lcm-lora-sdxl": 1.0, "nerijs/pixel-art-xl": 1.2}.

strength
number
默认值:0.8

Degree of transformation applied to the reference image (0 to 1).

guidance_scale
number
默认值:7.5

Encourages model to generate images closely linked to the text prompt (higher values may reduce image quality).

image_guidance_scale
number
默认值:1.5

Degree to which the generated image is pushed towards the initial image.

negative_prompt
string
默认值:""

Text prompt(s) to guide what to exclude from image generation. Ignored if guidance_scale < 1.

safety_check
boolean
默认值:true

Perform a safety check to estimate if generated images could be offensive or harmful.

seed
integer

Seed for random number generation.

num_inference_steps
integer
默认值:100

Number of denoising steps. More steps usually lead to higher quality images but slower inference. Modulated by strength.

num_images_per_prompt
integer
默认值:1

Number of images to generate per prompt.

响应

Successful Response

Response model for image generation.

images
Media · object[]
必填

The generated images.

Last modified on March 1, 2026